Subject: How to pay $47 for a copy of RFC 793

From: Bob Braden <[email-masked]>
Date: Sun, 08 May 2011 15:06:59 -0700

I just discovered an astonishing example of misinformation, shall we 
say, in the IEEE electric power community. There is an IEEE standards 
document C37.118, entitled (you don't care) "IEEE Standard for 
Synchrophasors for Power Systems C37-118(TM)-2005", which is currently 
of great importance for the instrumentation of the national power grid. 
I just noticed that it references RFC 793, and for curiosity looked to 
see how it was referenced. I found:

    [B8] RFC 793-1981,Transmission Control Protocol DARPA Internet 
Program Protocol Specification.[12]

OK so far, except maybe for the DARPA part. Now look at footnote 12:

    12   RFC standards are available from Global Engineering Documents, 
15 Inverness Way East, Englewood, CO 80112, USA (http://global.ihs.com/).

Going to that web site, you find:

*RFC 793* *- Complete Document*
*Revision / Edition: 81    Chg:    Date: 09/00/81 *
TRANSMISSION CONTROL PROTOCOL DARPA INTERNET PROGRAM PROTOCOL SPECIFICATION

*Comments:* 	
*Superseding Document:* 	
*Page Count:* 	90
*In Stock:* 	Yes
*Hardcopy Price:* 	* $ 47.00 * 	Add to Cart 
<http://global.ihs.com/shopping_cart.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&item_s_key=00123981&item_key_date=180331&electronic_delivery=N&shopping_cart_action=insert&input_doc_number=RFC%20793&input_doc_title=&origin=> 

and:

Customers who purchased *RFC 793* have also purchased
	EIA-748 
<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00280332&item_key_date=920531&origin=DSSC> 
: EARNED VALUE MANAGEMENT SYSTEMS
	IETF RFC 2460 
<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00503465&item_key_date=010031&origin=DSSC> 
: INTERNET PROTOCOL, VERSION 6 (IPV6) SPECIFICATION
	RFC 768 
<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00122904&item_key_date=190403&origin=DSSC> 
: USER DATAGRAM PROTOCOL
	RFC 791 
<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00122565&item_key_date=180331&origin=DSSC> 
: INTERNET PROTOCOL DARPA INTERNET PROGRAM PROTOCOL SPECIFICATION

Now, it has always been IETF's (and even before there was an IETF, Jon 
Postel's) policy to allow people to sell RFCs. What astonishes me is 
that clever people in the IEEE don't know RFCs are available free 
online. I guess RFCs remain so counter-cultural that industrial types 
don't get it. I wonder how many other IEEE standards contain similar 
RFC-for-pay references..

Bob Braden

---

From: todd glassey <[email-masked]>
Date: Sun, 08 May 2011 15:31:03 -0700

On 5/8/2011 3:06 PM, Bob Braden wrote:
> of great importance for the instrumentation of the national power 
> grid. I just noticed that it references RFC 793, and for curiosity 
> looked to see how it was referenced. I found:
>

Hmmm. Does the IETF publication license allow this? the commercial 
resale of its documents?

Doesnt this also then tend to violate the intent of the IP Trust and its 
role? One would think if anyone was to make money on republication of 
IETF intellectual properties it was supposed to be the IETF's trust.

Todd

> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: todd glassey <[email-masked]>
Date: Sun, 08 May 2011 15:47:55 -0700

On 5/8/2011 3:31 PM, todd glassey wrote:
>> Synchrophasors for Power Systems C37-118(TM)-2005", which is 
>> currently of great importance for the instrumentation of the national 
>> power grid. I just noticed that it references RFC 793, and for 
>> curiosity looked to see how it was referenced. I found:
>>
>>    12   RFC standards are available from Global Engineering 
>> Documents, 15 Inverness Way East, Englewood, CO 80112, USA 
>> (http://global.ihs.com/).
>
> Doesnt this also then tend to violate the intent of the IP Trust and 
> its role? One would think if anyone was to make money on republication 
> of IETF intellectual properties it was supposed to be the IETF's trust.
Try this search - but this also opens the question as to what any other 
contributor in an effort's rights to are in subsidiary publications?

http://global.ihs.com/search_res.cfm?currency_code=USD&customer_id=2125442C5B0A&shopping_cart_id=2925583B2B4B303C495A2D5B260A&country_code=US&lang_code=ENGL
>> Now, it has always been IETF's (and even before there was an IETF, 
>> Jon Postel's) policy to allow people to sell RFCs. What astonishes me 
>> is that clever people in the IEEE don't know RFCs are available free

---

From: Yoav Nir <[email-masked]>
Date: Mon, 9 May 2011 02:06:17 +0300

A bargain!  RFC 5996 goes for $58.

Does it come leather-bound with the title gold-stamped on the cover?

On May 9, 2011, at 1:06 AM, Bob Braden wrote:

I just discovered an astonishing example of misinformation, shall we say, in the IEEE electric power community. There is an IEEE standards document C37.118, entitled (you don't care) "IEEE Standard for Synchrophasors for Power Systems C37-118(TM)-2005", which is currently of great importance for the instrumentation of the national power grid. I just noticed that it references RFC 793, and for curiosity looked to see how it was referenced. I found:

   [B8] RFC 793-1981,Transmission Control Protocol DARPA Internet Program Protocol Specification.[12]

   12   RFC standards are available from Global Engineering Documents, 15 Inverness Way East, Englewood, CO 80112, USA (http://global.ihs.com/).

RFC 793 - Complete Document
Revision / Edition: 81    Chg:    Date: 09/00/81
TRANSMISSION CONTROL PROTOCOL DARPA INTERNET PROGRAM PROTOCOL SPECIFICATION

Comments:
Superseding Document:
Page Count:     90
In Stock:       Yes
Hardcopy Price:          $ 47.00        <http://global.ihs.com/shopping_cart.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&item_s_key=00123981&item_key_date=180331&electronic_delivery=N&shopping_cart_action=insert&input_doc_number=RFC%20793&input_doc_title=&origin=>

and:

Customers who purchased RFC 793 have also purchased
        EIA-748<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00280332&item_key_date=920531&origin=DSSC> : EARNED VALUE MANAGEMENT SYSTEMS
        IETF RFC 2460<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00503465&item_key_date=010031&origin=DSSC> : INTERNET PROTOCOL, VERSION 6 (IPV6) SPECIFICATION
        RFC 768<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00122904&item_key_date=190403&origin=DSSC> : USER DATAGRAM PROTOCOL
        RFC 791<http://global.ihs.com/doc_detail.cfm?currency_code=USD&customer_id=21254C2B2E0A&shopping_cart_id=2925583B2B4B30204E5B5D37220A&rid=Z56&input_doc_number=RFC%20793&mid=5280&input_doc_number=RFC%20793&country_code=US&lang_code=ENGL&input_doc_number=RFC%20793&input_doc_title=&item_s_key=00122565&item_key_date=180331&origin=DSSC> : INTERNET PROTOCOL DARPA INTERNET PROGRAM PROTOCOL SPECIFICATION

Now, it has always been IETF's (and even before there was an IETF, Jon Postel's) policy to allow people to sell RFCs. What astonishes me is that clever people in the IEEE don't know RFCs are available free online. I guess RFCs remain so counter-cultural that industrial types don't get it. I wonder how many other IEEE standards contain similar RFC-for-pay references..

Bob Braden

<ATT00002..txt>

---

From: "John Levine" <[email-masked]>
Date: 8 May 2011 23:44:58 -0000

>TRANSMISSION CONTROL PROTOCOL DARPA INTERNET PROGRAM PROTOCOL SPECIFICATION

Yes, that's ridiculous, but in reality it's our fault as much as
theirs.  Whoever wrote PC37.118 probably copied the reference to RFC
793 from some older standards document using cut and paste, which
someone else copied from some standard written back in the 1980s when
most industrial users weren't on the Internet.  In 1985 if you wanted
a copy of an RFC, and didn't happen to know someone who was hooked up
to the Internet and understood FTP, sending an order to GED to get a
paper copy and have it charged to the company's account was a
perfectly reasonable thing to do.  Even now, if you work at General
Electric, how much time is it worth to avoid spending $47 of the
company's money? Five minutes, maybe.

Today if you're an IEEE type, and you wonder where to find RFC 793, or
you're wondering what RFC 793 is about, and you look it up in IEEE
Xplore, the online library that all electrical engineers use, and that
their employers have site subscriptions for, you'll find ... nothing.
Yes, you can find it in Google, but Google isn't a particularly good
place to look for engineering papers.  Xplore is.  RFCs aren't in the
ACM Digital Library, either, same problem.

If we want the world to use RFCs, we desperately need to make them
easier to find in the places where technical users look for them.
Getting them indexed in Xplore and ACM DL and whatever their equivalents
are in Europe and Asia would be a good project for the new RFC Editor.

R's,
John

---

From: "John R. Levine" <[email-masked]>
Date: 8 May 2011 21:26:27 -0400

> Nor is it in Google Scholar, which is generally where I look first.

There's a lot of overlap.  I'm pretty sure that everything in Xplore 
and ACM DL is automatically in Scholar.

This isn't an enormous project, but it requires figuring out which online 
libraries are worth getting into, making the necessary arrangements with 
them (which may or may not involve money), a batch process to load in all 
the existing RFCs, and arrange with the production house to ensure that 
each new RFC gets listed as it's published.  Most of these systems include 
abstracts and forward and backward references, which will doubtless 
require some debugging to make them work reliably.

Like I said, it's a good project for the new RFC series editor.  It should 
be a lot easier than deciding how to put Chinese names into RFCs.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. http://jl.ly

---

From: Steven Bellovin <[email-masked]>
Date: Sun, 8 May 2011 20:41:03 -0400

--Steve Bellovin, https://www.cs.columbia.edu/~smb

---

From: John C Klensin <[email-masked]>
Date: Mon, 09 May 2011 01:32:55 -0400

--On Sunday, May 08, 2011 15:06 -0700 Bob Braden
<[email-masked]> wrote:

> I just discovered an astonishing example of misinformation,
> shall we say, in the IEEE electric power community. There is
> an IEEE standards document C37.118, entitled (you don't care)
> "IEEE Standard for Synchrophasors for Power Systems
> C37-118(TM)-2005", which is currently of great importance for
> the instrumentation of the national power grid. I just noticed
> that it references RFC 793, and for curiosity looked to see
> how it was referenced. I found:
> 
>     [B8] RFC 793-1981,Transmission Control Protocol DARPA
> Internet Program Protocol Specification.[12]
>...
> Now, it has always been IETF's (and even before there was an
> IETF, Jon Postel's) policy to allow people to sell RFCs. What
> astonishes me is that clever people in the IEEE don't know
> RFCs are available free online. I guess RFCs remain so
> counter-cultural that industrial types don't get it. I wonder
> how many other IEEE standards contain similar RFC-for-pay
> references..

Bob,

What you presumably remember, but others reading this may not,
was just how many comments Jon made about the impossibility of
preventing fools from throwing their money away.  And, of
course, it is in the interest of Global Engineering Documents
--which, in the era in which few folks had direct access to the
Internet was one of the better sources for miscellaneous
technical standards documents-- to let people continue to
believe that they are a convenient and standard (sic) source.

--On Sunday, May 08, 2011 21:26 -0400 "John R. Levine"
<[email-masked]> wrote:

>...
> This isn't an enormous project, but it requires figuring out
> which online libraries are worth getting into, making the
> necessary arrangements with them (which may or may not involve
> money), a batch process to load in all the existing RFCs, and
> arrange with the production house to ensure that each new RFC
> gets listed as it's published.  Most of these systems include
> abstracts and forward and backward references, which will
> doubtless require some debugging to make them work reliably.
> 
> Like I said, it's a good project for the new RFC series
> editor.  It should be a lot easier than deciding how to put
> Chinese names into RFCs.

+1

I do note, however, that RFCs appear to be listed in ACM's Guide
to Computing Literature (essentially part of the ACM Digital
Library at this stage).  Putting "Transmission Control Protocol"
into the search mechanism turns up RFC 793 in a hurry.  And,
behold, they have full text available and retrieving it works
without any charges other than the access fees for the Digital
Library itself.  "RFC Editor" is even on their list of
publishers for search purposes.  

The problem is that the titles they index do not contain the RFC
numbers, so looking up "RFC793" or "RFC 793".  That is not a
decision to avoid indexing the series (which would require the
process John outlines to reverse) but a bug.   I have filed a
bug report as Digital Library feedback.

    john

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 9 May 2011 16:43:39 +1000

If only there were some uniform resource locator system, whereby we could use a string to both identify and locate such a document, and include such a string *in* our specifications. 

A pipe dream, I know...

--
Mark Nottingham   http://www.mnot.net/

---

From: Ole Jacobsen <[email-masked]>
Date: Sun, 8 May 2011 23:44:03 -0700 (PDT)

And since we are tripping back through memory lane, Jon Postel and I 
co-authored RFC 980 which tells you how to order protocol documents, 
including the collections we made at SRI. Not sure I remember the 
price for these books, but to quote from the RFC itself:

"For hardcopy distribution from the NIC there is a charge of $5 for
 each RFC that is less than 100 pages, and $10 for each RFC that 
 is 100 pages or more to cover the cost of postage and handling
 (check, money order, or purchase order accepted)."

We had a special line printer for this purpose and a machine called a 
"burster", something I have not seen or heard about in about 25 years.
Time flies when you're having fun and stuck with ASCII documents :-)

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj
Skype: organdemo

---

From: "Michel Py" <[email-masked]>
Date: Mon, 9 May 2011 00:23:43 -0700

> Ole Jacobsen wrote:

If you refer to the machine that separates the sheets into individual
pages when fed listing paper (continuous, but not on a roll, folded
every 11 inches with holes on the sides), they still exist. There is one
fast in the printing room for the State of California I worked on
recently. It feeds at 6 feet per second, an entire box of paper is
separated in a matter of minutes.

Michel.

---

From: Stefan Winter <[email-masked]>
Date: Mon, 09 May 2011 11:52:23 +0200

Hi,

> Nor is it in Google Scholar, which is generally where I look first.

As a KDE user, I use the incredibly short shortcut of typing "Alt+F2"
and then rfc:793<Enter>

(which redirects to http://www.ietf.org/rfc/rfc793.txt, not the GED
hardcopy reseller :-) )

But maybe "an IEEE type" (whatever that is) doesn't use KDE. Or any kind
of search engine that would yield the document in a fraction of a
second. Or the internet at all?

Stefan Winter

-- 

Stefan WINTER
Ingenieur de Recherche
Fondation RESTENA - Réseau Téléinformatique de l'Education Nationale et de la Recherche
6, rue Richard Coudenhove-Kalergi
L-1359 Luxembourg

Tel: +352 424409 1
Fax: +352 422473

---

From: Eric Burger <[email-masked]>
Date: Mon, 9 May 2011 06:51:48 -0400

Agreeing with John here re: it's just a bug.

IEEE Xplore regularly does "deals" (read: free) to add publishers to the digital library. It is part of the network effect from their perspective: if you are more likely to get a hit using their service, you are more likely to use the service.

We (RFC Editor? IAOC? Me as an individual?) can approach IEEE to add the RFC series to Xplore.

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 9 May 2011 10:51:29 -0400

glassey [[email-masked]]
> Hmmm. Does the IETF publication license allow this? the commercial

There is no copyright notice on RFC 793, but it was published after
1976, so the question would revolve around the "implicit license"
involved in publishing RFCs at the time.

> of IETF intellectual properties it was supposed to be the IETF's

"But someone is making money off of something, damn it, and everyone's
pissed it's not them."

Companies sell tap water in bottles at prices higher than those of
gasoline...

In practice, it doesn't matter.  You'll pay an engineer far more than
$47 to *read* RFC 793.  In the software industry, there are shoestring
startups, and the engineer is investing his labor in the company.  But
only a business can invest in designing power grid equipment, and
their engineers are being paid in cash.

Dale

---

From: Bob Braden <[email-masked]>
Date: Mon, 09 May 2011 09:47:55 -0700

> preventing fools from throwing their money away.
John Klensin,

Indeed, I do remember. ;-)

Bob Braden.

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 9 May 2011 13:53:33 -0400

> We (RFC Editor? IAOC? Me as an individual?) can approach IEEE to add the RFC series to Xplore.

Or the IETF Trust could do this, as it falls squarely within the purpose of the Trust.

Regards
Marshall

---

From: Doug Barton <[email-masked]>
Date: Mon, 09 May 2011 13:12:00 -0700

> Companies sell tap water in bottles at prices higher than those of

Fortunately gasoline is catching up fast. :)

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/

---

From: "John Levine" <[email-masked]>
Date: 9 May 2011 23:41:00 -0000

In article <[email-masked]> you write:
>If only there were some uniform resource locator system, whereby we
>could use a string to both identify and locate such a document, and
>include such a string *in* our specifications. 

It exists, it's called a DOI.  I don't understand them well enough yet
to have an opinion whether it would be worth the hassle and possible
cost of assigning DOIs to RFCs.  But if you look in Xplore and the ACM
DL, just about everything has one.

R's,
John

PS: Were you thinking of something else?

---

From: Steve Crocker <[email-masked]>
Date: Mon, 9 May 2011 20:05:08 -0400

A simpler and more pragmatic approach is to include a statement in the boilerplate of every RFC that says, "RFCs are available free of charge online from ..."

The copyright rules would prohibit anyone from removing this statement.  If someone pays $47 for a copy and then reads this statement, he is unlikely to pay $47 again.

Steve

---

From: Dave Crocker <[email-masked]>
Date: Mon, 09 May 2011 17:35:11 -0700

+1

The elegance and simplicity of this is quite nice.

d/
--
Dave Crocker
bbiw.net

Steve Crocker <[email-masked]> wrote:

A simpler and more pragmatic approach is to include a statement in the boilerplate of every RFC that says, "RFCs are available free of charge online from ..." The copyright rules would prohibit anyone from removing this statement. If someone pays $47 for a copy and then reads this statement, he is unlikely to pay $47 again. Steve_____________________________________________
Ietf mailing list [email-masked] https://www.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Mon, 09 May 2011 21:44:07 -0400

--On Monday, May 09, 2011 23:41 +0000 John Levine
<[email-masked]> wrote:

>> If only there were some uniform resource locator system,
>> whereby we could use a string to both identify and locate
>> such a document, and include such a string *in* our
>> specifications. 
> 
> It exists, it's called a DOI.  I don't understand them well
> enough yet to have an opinion whether it would be worth the
> hassle and possible cost of assigning DOIs to RFCs.  But if
> you look in Xplore and the ACM DL, just about everything has
> one.

John,

Depends on where you look.  DOIs are popular in some
communities, URNs in others, and, of course, some communities
have not discovered either.  For most purposes, DOIs and URNs
can be considered functionally equivalent, but one of the
differences is that if we had to pay the usual fees for DOIs to
assign them to RFCs, we might have to start charging for RFCs to
cover those costs :-).  For more on the URN approach to
identifying articles, papers, and similar things, you might look
in on what the URNBIS WG is doing and why.

Mark's (slightly tongue in cheek, I think) suggestion of URLs
actually doesn't work because they generally identify locations
at which objects can be found, rather than the object itself
(location-independent).  But that is orthogonal to the question
of preferences for DOIs versus URNs.

    john

---

From: Ross Callon <[email-masked]>
Date: Mon, 9 May 2011 21:47:33 -0400

This reminds me of what a colleague once said about government-run lotteries: "A tax on people who are bad at math". In this case the fools don't seem to be throwing all that many dollars away (at least not per document). 

Ross

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bob Braden
Sent: Monday, May 09, 2011 12:48 PM
To: [email-masked]
Subject: Re: How to pay $47 for a copy of RFC 793

John Klensin,

Bob Braden.

---

From: Pekka Savola <[email-masked]>
Date: Tue, 10 May 2011 07:42:54 +0300 (EEST)

> The copyright rules would prohibit anyone from removing this statement.  If someone pays $47 for a copy and then reads this statement, he is unlikely to pay $47 again.

I suspect those who are inclined to pay $47 for an RFC are very 
unlikely to read any boilerplate statements on the RFC.

While I could live with this, I fear adding more boilerplate just 
creates more boilerplate and not much else.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Julian Reschke <[email-masked]>
Date: Tue, 10 May 2011 07:15:39 +0200

> in on what the URNBIS WG is doing and why.

Reminder: we have a URN scheme of IETF documents. Maybe we should use it.

> of preferences for DOIs versus URNs.

Well, if the organization minting the HTTP URIs is committed to 
stability, they are almost as good as URNs. Or better, given the fact 
that you can drop them into the address bar of a browser :-)

Best regards, Julian

---

From: John C Klensin <[email-masked]>
Date: Tue, 10 May 2011 03:48:17 -0400

--On Tuesday, May 10, 2011 07:42 +0300 Pekka Savola
<[email-masked]> wrote:

>> A simpler and more pragmatic approach is to include a
>> statement in the boilerplate of every RFC that says, "RFCs
>> are available free of charge online from ..."
>> 
>> The copyright rules would prohibit anyone from removing this
>> statement.  If someone pays $47 for a copy and then reads
>> this statement, he is unlikely to pay $47 again.
> 
> I suspect those who are inclined to pay $47 for an RFC are
> very unlikely to read any boilerplate statements on the RFC.
> 
> While I could live with this, I fear adding more boilerplate
> just creates more boilerplate and not much else.

I note that, for many years and prior to requirements for
extensive boilerplate, every RFC bore the note "Distribution of
this memo is unlimited", which was intended to accomplish a much
more general version of the (admittedly more clear) statement
Steve suggests.  While we could probably control the problems,
any statement in an archival document that specifies a location
(like "available... from...") is almost inherently problematic.
The problem of archival stability of location information is the
reason why the various generations of the "How to Obtain RFCs"
document to which Ole refers has always been accessed
indirectly, not included in RFCs (the most recent incarnation is
represented by the statement "RFCs may be obtained in a number
of ways, using HTTP, FTP, or email. See the RFC Editor Web page
http://www.rfc-editor.org" in the RFC Index and elsewhere.

Given that and observations about how frequently any obvious
boilerplate is actually read, I agree with Pekka's conclusion.

    john

---

From: John C Klensin <[email-masked]>
Date: Tue, 10 May 2011 04:01:19 -0400

--On Monday, May 09, 2011 21:47 -0400 Ross Callon
<[email-masked]> wrote:

> This reminds me of what a colleague once said about
> government-run lotteries: "A tax on people who are bad at
> math". In this case the fools don't seem to be throwing all
> that many dollars away (at least not per document). 

Indeed.  And, as others have pointed out, the sums are
relatively trivial for the communities of fools most likely to
be affected.  I always took that to be the point of the comments
of Jon's to which Bob and I referred: someone who finds the
costs (both monetary and waiting for documents to show up in the
post) painful enough to motivate a little research will swiftly
find free and immediate sources for the documents.  If those who
find the costs lower than the cost of spending time on that
research want to pay for the documents, it isn't our problem and
we should not strive to make it so.

It seems to me that not having the series available in IEEE
Xplore and having documents in the ACM Digital Library but not
indexed by RFC number is a problem in that searching for the
documents is a little harder than it ought to be and is our
problem (even though typing "RFC 793" into at least  few
general-purpose search engines does yield pointers to non-cost
repositories).  Requests to fix both the ACM and IEEE problems
have been made to the relevant folks.

Beyond that, unless someone has a cure for fools, I suggest this
is a problem that is not worth our putting energy into solving.

   john

---

From: "John Levine" <[email-masked]>
Date: 10 May 2011 13:20:06 -0000

>have been made to the relevant folks.

It's not just that.  A little poking around in the ACM DL reveals that
they don't have any RFCs published after May 2004.  It looks like
someone did a one time data dump, and nothing since.  It's also fairly
annoying that if you aren't a subscriber, they want you to pay $15
before they'll give you a URL, but I suppose their funding has to come
from somewhere.

In IEEE Xplore, I can't find any RFCs at all, no matter how I search
for them.  Search for "Transmission Control Protocol" and you'll find
lots of articles but no RFCs.

R's,
John

---

From: John C Klensin <[email-masked]>
Date: Tue, 10 May 2011 09:34:56 -0400

--On Tuesday, May 10, 2011 13:20 +0000 John Levine
<[email-masked]> wrote:

>...
> It's not just that.  A little poking around in the ACM DL
> reveals that they don't have any RFCs published after May
> 2004.  It looks like someone did a one time data dump, and
> nothing since.  It's also fairly annoying that if you aren't a
> subscriber, they want you to pay $15 before they'll give you a
> URL, but I suppose their funding has to come from somewhere.

I ran a few tests, but didn't try to figure out how current
their catalog is.  Will complain about that too.  As to the
price, yes, I think these library arrangements (whether by
subscription or per-article) are a little costly for
individuals.  On the other hand, if one has an RFC number
--which would come from the sort of reference Bob cited to start
this thread and that one would inevitably get from the ACM DL if
they included RFC numbers in the search-- the a trip to your
favorite general-purpose engine with the number does yield URLs
to freely-accessible copies.  I have only tried three of them,
but the documents aren't hard to find and the indexing seems to
be current through at least documents published last month.  So,
again, "free" may be slightly less convenient (or slightly
more), but I don't see this as a problem we need to solve on the
IETF list.

I will ping ACM again about not being up to date.

> In IEEE Xplore, I can't find any RFCs at all, no matter how I
> search for them.  Search for "Transmission Control Protocol"
> and you'll find lots of articles but no RFCs.

I found what you found, i.e., no RFCs but several articles that
referenced them.  I thought I said that in an earlier note, but
maybe I wasn't clear.

 best,
    john

---

From: "J.D. Falk" <[email-masked]>
Date: Tue, 10 May 2011 07:24:17 -0700

+1

--
J.D. Falk
the leading purveyor of industry counter-rhetoric solutions

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 10 May 2011 16:47:23 +0200

> Or the IETF Trust could do this, as it falls squarely within the purpose of the Trust.
<soapbox>
The Trust should not do. The Trust should set policy, and observe that 
the Right Thing Happens.
</soapbox>

In the case of Google Scholar, I found the guidelines to be a bit 
intimidating:

http://scholar.google.com/intl/en/scholar/inclusion.html

but not something that would be hard for the RFC publisher to set up in 
a few hours based on the PDF form of the RFCs and the rfc-index.xml file.

FWIW: The RFC series does have an ISSN.

                   Harald

---

From: "John Levine" <[email-masked]>
Date: 10 May 2011 15:28:51 -0000

>a few hours based on the PDF form of the RFCs and the rfc-index.xml file.

Actually, now that I look at their guidelines, I'm sort of surprised
that they're not in Scholar.  They say they'll index HTML versions of
documents so long as they have meta tags that have the title, author,
and other bibliographic info and it has references it can crawl to do
cross links to other documents. The HTML versions in
tools.ietf.org/html look to me like they have the right tags.  The
problem may be that the meta tags are missing some minor item, that it
can't recognize the references sections, which should be a matter of
tweaking the HTML a little bit, or maybe that there isn't a TOC page
that lets it recognize all the RFCs as a collection.

Whatever it is, it doesn't look like it'd be hard for someone with
sufficient spare time to fix.

R's,
John

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 10 May 2011 17:41:50 +0200

> sufficient spare time to fix.
For some reason, scholar has indexed 151 docs from tools.ietf.org and 
then stopped.

http://scholar.google.com/scholar?hl=en&q=site%3Atools.ietf.org&btnG=Search&as_sdt=0%2C5&as_ylo=&as_vis=0 
<http://scholar.google.com/scholar?hl=en&q=site%3Atools.ietf.org&btnG=Search&as_sdt=0%2C5&as_ylo=&as_vis=0>

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 10 May 2011 09:14:07 -0700

On May 10, 2011, at 8:41 AM, Harald Alvestrand wrote:

> For some reason, scholar has indexed 151 docs from tools.ietf.org and then stopped.

If only there was someone who worked at Google on this list who could send an internal message to get this rectified.... :-)

--Paul Hoffman

---

From: Klaas Wierenga <[email-masked]>
Date: Tue, 10 May 2011 18:20:55 +0200

> If only there was someone who worked at Google on this list who could send an internal message to get this rectified.... :-)

wasn't there this Norwegian guy that worked there?

Klaas

---

From: Thomas Dreibholz <[email-masked]>
Date: Tue, 10 May 2011 19:11:27 +0200

On Dienstag 10 Mai 2011, J.D. Falk wrote:
> > A simpler and more pragmatic approach is to include a statement in the
> > boilerplate of every RFC that says, "RFCs are available free of charge
> > online from ..."
> > 
> > The copyright rules would prohibit anyone from removing this statement. 
> > If someone pays $47 for a copy and then reads this statement, he is
> > unlikely to pay $47 again.
> 
> +1

+1.

Best regards
-- 
=======================================================================
 Dr. Thomas Dreibholz

 University of Duisburg-Essen,                   Room ES210
 Inst. for Experimental Mathematics              Ellernstraße 29
 Computer Networking Technology Group            D-45326 Essen/Germany
-----------------------------------------------------------------------
 E-Mail:     [email-masked]
 Homepage:   http://www.iem.uni-due.de/~dreibh
=======================================================================

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 10 May 2011 20:22:04 +0200

> If only there was someone who worked at Google on this list who could send an internal message to get this rectified.... :-)
 From what I could tell from the instructions, Scholar is using some 
heuristics to figure out that "this is a paper" and "this is not a 
paper". The highest one on the list was a 3-slide presentation that 
really didn't say very much - I think this is one where heuristics had 
failed.

I think someone at the site could help them a lot more.

---

From: John C Klensin <[email-masked]>
Date: Tue, 10 May 2011 16:08:41 -0400

--On Tuesday, May 10, 2011 20:22 +0200 Harald Alvestrand
<[email-masked]> wrote:

>> If only there was someone who worked at Google on this list
>> who could send an internal message to get this rectified....
>> :-)
>  From what I could tell from the instructions, Scholar is
> using some heuristics to figure out that "this is a paper" and
> "this is not a paper". The highest one on the list was a
> 3-slide presentation that really didn't say very much - I
> think this is one where heuristics had failed.

> I think someone at the site could help them a lot more.

Harald, 

I'm not sure what you mean by "someone at the site".  Certainly,
various of us could explain to them why the series should be
more comprehensibly indexed.  But with Maps as a notable
exception, I've found that suggesting that a particular
heuristic is failing, or that something should have been indexed
that isn't, is most likely to get a response whose essence is
the Google folks and their algorithms are ever so much smarter
then us lusers, so what could we possibly know?

Of course, my personal heuristic, and that of many folks I know
who use Scholar much more intensely than I do, is that if a
Scholar search fails or produces nonsense, I go to the
general-purpose search engine.   For RFCs, it tends to do very
well, both at finding the right stuff and at ranking the RFC
text itself near the top. 

So, other than being lazy about not doing the second search,
pedantic about what Scholar should be indexing and how, or
demanding and expecting a more perfect universe, I'm not sure I
see a real problem in this.

    john

---

From: Eric Burger <[email-masked]>
Date: Tue, 10 May 2011 16:41:16 -0400

Interestingly, when I look at the references from IEEE Xplore when I access Xplore from Georgetown, instead of the built-in Xplore reference, I get a GU search option, which does pop up the IETF copy of the RFC.

In any event, I happen to know a few people at IEEE. They are "looking in to it," it being adding the RFC series to Xplore.

> --On Tuesday, May 10, 2011 13:20 +0000 John Levine
[snip]

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 10 May 2011 22:53:17 +0200

> then us lusers, so what could we possibly know?
The instructions at Scholar were pretty comprehensive and specific:

- Make either your abstracts or your documents into HTML
- Put a very specific selection of tags into your documents
- Report your collection to the Scholar robot

We can either ignore this particular set of instructions, and get the 
result that the heuristics generate, or follow this set of instructions, 
and hope for a better result.

My point (if I have any) is that those instructions should be easy to 
follow for the people who control these sites, but are not so easy for 
anyone else (unless they want to act as if they are an "official mirror").

That puts the ball in the RFC publisher's court.

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 11 May 2011 06:22:43 +0900

Bob Braden wrote:

> I wonder how many other IEEE standards contain similar
> RFC-for-pay references..

It's common (much more than 50% for academic ones, IMHO) that
sold articles are freely available on-line.

For example, a PDF file of the paper "End-to-end arguments in
system design" can be purchased for $15 from:

   http://doi.ieeecomputersociety.org/10.1145/357401.357402

which is the first link appears in google scholar search with
the paper title, or, from:

   http://portal.acm.org/citation.cfm?doid=357401.357402

to which the above IEEE link is redirected, but is available
free of charge from:

   http://web.mit.edu/Saltzer/www/publications/endtoend/endtoend.pdf

which is the second link (next to google scholar one) with plain
google search.

It is a lot more time (and money) saving to search free
versions before entering transactions to purchase them than
to rely blindly on PubMed, IEEE, ACM, google scholar etc.

						Masataka Ohta

---

From: Eric Burger <[email-masked]>
Date: Tue, 10 May 2011 17:39:33 -0400

time = money

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 11 May 2011 07:37:01 +0900

> time = money

Yes.

>> to rely blindly on PubMed, IEEE, ACM, google scholar etc.

So?

						Masataka Ohta

---

From: "John Levine" <[email-masked]>
Date: 10 May 2011 23:43:44 -0000

>>> to rely blindly on PubMed, IEEE, ACM, google scholar etc.

I expect that most people who use those databases have site
licenses, so they don't care whether the articles are nominally
free or not.

When I need to do database searches, I go to the Cornell engineering
library where I can get (quite legally) onto Cornell's network and use
their institutional subscriptions.  If I find something interesting, I
click on it and download it, and have no idea whether it would have
asked a non-subscriber to pay or not.

I'm more worried that the ACM doesn't have any RFCs issued in the past
seven years than that they ask non-subscribers to pay for the ones
they do have.

R's,
John

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 11 May 2011 13:24:02 +0900

> their institutional subscriptions.

> If I find something interesting, I

Though my institute also have the license for the paper, I was at
home when I wrote my previous mails, which means I must set up a
tunnel to access the paper through my institute, which is a lot
more time consuming than just search a free copy.

Worse, I might have set up a tunnel only to have found that my
institute does not have a site license for the paper.

According to the end to end principle, we should not rely on
intelligent intermediate entities such as university libraries,
ACM, IEEE and google scholar so much but just try dumb search
engines first.

						Masataka Ohta

---

From: Yoav Nir <[email-masked]>
Date: Wed, 11 May 2011 10:00:04 +0300

Yup.

Years ago, when I was at university, I learned that the best way to find an article was to google the author's name, find his or her personal website, and the article would probably be linked from there.

Worked about 75% of the time.

Yoav 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Masataka Ohta
Sent: 11 May 2011 00:23
To: [email-masked]
Subject: Re: How to pay $47 for a copy of RFC 793

Bob Braden wrote:

> I wonder how many other IEEE standards contain similar RFC-for-pay 
> references..

It's common (much more than 50% for academic ones, IMHO) that sold articles are freely available on-line.

For example, a PDF file of the paper "End-to-end arguments in system design" can be purchased for $15 from:

which is the first link appears in google scholar search with the paper title, or, from:

to which the above IEEE link is redirected, but is available free of charge from:

which is the second link (next to google scholar one) with plain google search.

It is a lot more time (and money) saving to search free versions before entering transactions to purchase them than to rely blindly on PubMed, IEEE, ACM, google scholar etc.

						Masataka Ohta

Scanned by Check Point Total Security Gateway.

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 11 May 2011 12:20:51 +0000

> lots of articles but no RFCs.

Not surprising.

To quote from the site :
   The IEEE Xplore digital library is a powerful resource for discovery and access to scientific and technical content published by IEEE 
   (Institute of Electrical and Electronics Engineers) and its publishing partners.

Unless I am mistaken, RFCs aren't IEEE publications.

Y(J)S

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 11 May 2011 12:27:02 +0000

> This reminds me of what a colleague once said about government-run lotteries: "A tax on people who are bad at math". 
> In this case the fools don't seem to be throwing all that many dollars away (at least not per document). 

What worries me is what they intend doing with the copy of RFC 793.

If some rule requires taking all references and placing them in a booklet that no-one looks at,
then it is OK for them to pay reasonable copying and distribution costs to someone willing to print the RFC for them.

However, what if they send the RFC to some programmer who has never heard of TCP/IP
and ask him to implement solely based on this referenced document ?

In that case the costs may be somewhat larger ...

Y(J)S

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 11 May 2011 14:32:14 +0200

On Tue, May 10, 2011 at 04:47:23PM +0200,
 Harald Alvestrand <[email-masked]> wrote 

> http://scholar.google.com/intl/en/scholar/inclusion.html

But the reality is far from it. Google Scholar actually indexes a lot
of things which are not scholarly. Type "sql" in Google Scholar and
see the first result.

---

From: "John R. Levine" <[email-masked]>
Date: 11 May 2011 09:09:34 -0400

> Unless I am mistaken, RFCs aren't IEEE publications.

Indeed they aren't but "publishing partners" offers a lot of leeway.

Regards,

---

From: Florian Weimer <[email-masked]>
Date: Wed, 11 May 2011 21:09:25 +0200

* Bob Braden:

> Jon Postel's) policy to allow people to sell RFCs. What astonishes
> me is that clever people in the IEEE don't know RFCs are available
> free online. I guess RFCs remain so counter-cultural that industrial
> types don't get it. I wonder how many other IEEE standards contain
> similar RFC-for-pay references..

A lot of the stuff IEEE publishes for a fee is freely and legally
available from other sources (without the official IEEE imprint, of
course).  IEEE performs extensive search engine optimization (aka
Google spamming) to get their for-pay content rated over the free
content.  I suppose this is required because otherwise, library access
statistics would plummet and libraries would cancel their
subscriptions. *sigh*

(Same for ACM, Springer, and so one, of course.)

---

From: Steven Bellovin <[email-masked]>
Date: Wed, 11 May 2011 16:43:07 -0400

> to rely blindly on PubMed, IEEE, ACM, google scholar etc.

Unfortunately, the IEEE has tightened its copyright policy; see
http://www.ieee.org/publications_standards/publications/rights/paperversionpolicy.html
for details.

---

From: Joe Touch <[email-masked]>
Date: Wed, 11 May 2011 17:05:00 -0700

Paradoxically, I-Ds do already include a similar statement:

    The list of current Internet-Drafts can be accessed at
    http://www.ietf.org/ietf/1id-abstracts.txt.

    The list of Internet-Draft Shadow Directories can be accessed at
    http://www.ietf.org/shadow.html.

Pity we don't include that sort of thing in the RFCs too...

Joe

---

From: SM <[email-masked]>
Date: Wed, 11 May 2011 22:17:55 -0700

Hi Joe,
>Pity we don't include that sort of thing in the RFCs too...

 From the "Status of This Memo" section of RFC 5741:

   "Information about the current status of this document, any errata,
    and how to provide feedback on it may be obtained at
    http://www.rfc-editor.org/info/rfc5741."

Regards,
-sm

---

From: John C Klensin <[email-masked]>
Date: Thu, 12 May 2011 10:41:58 -0400

--On Wednesday, May 11, 2011 16:43 -0400 Steven Bellovin
<[email-masked]> wrote:

> http://www.ieee.org/publications_standards/publications/rights
> /paperversionpolicy.html for details.

Steve,

It seems to me that this policy applies to documents published
by the IEEE and that it has no direct effect on IETF (or RFC
Editor)-published documents.  Interestingly, it is also very
similar to a generally-understood historical version of the
policy wrt RFCs at least before the IETF community started
practicing "amateur lawyer":  I-Ds and other prepublication
documents basically belong to the authors and they can do with
them as they like (the IETF Trust is now insisting on attaching
copyright notices to I-Ds; let's not start another debate about
the legitimacy of that practice).  By contrast, RFCs involve
some value-added by the RFC Editor, copyright assertions have
been made for a decade or two, and "we" have tried to control
derivative publications.  

The main difference is also familiar: the IETF wants to limit
reproduction permission for published versions (presumably to
continue to make money on them to offset other expenses) while
we permit unlimited distribution and reproduction without
special permission as long as the documents are intact or meet
specific other criteria.   A second difference is that we've
never asked folks to go find online versions of I-Ds and update
them to point explicitly to the successor RFCs.  I have no idea
how one actually does that or enforces it but, in principle, it
is an idea we might actually find it beneficial to consider.
Finally, the IEEE insists on formal copyright transfer at a
well-defined point (and, as far as I know, always has).  "We"
don't think we need that.

best,
   john

---

From: Steven Bellovin <[email-masked]>
Date: Thu, 12 May 2011 10:58:25 -0400

On May 12, 2011, at 10:41 58AM, John C Klensin wrote:

> Editor)-published documents.

My comment was in reply to Masataka Ohta's note saying that he
often evades the pricing on things like IEEE or ACM pappers
by finding free ones online.  That looks like it won't be possible
going forward.

---

From: Joe Touch <[email-masked]>
Date: Thu, 12 May 2011 08:47:51 -0700

> http://www.rfc-editor.org/info/rfc5741."

Sure - but you get to that link only from the rfc-editor.org site, at 
which point you've probably already gotten the free RFCs.

What's missing is this sort of statement - more specifically, a pointer 
to the rfc-editor.org copy of the *doc* (not just info on the doc) 
within the doc itself.

Joe

---

From: Joe Touch <[email-masked]>
Date: Thu, 12 May 2011 08:50:00 -0700

> by finding free ones online.  That looks like it won't be possible

Current IEEE policy continues to allow authors to post the latest update 
prior to IEEE publication on their home site, with proper copyright 
notice and a link to the IEEE copy.

I.e., authors can currently post the last revision before IEEE 
formatting with IEEE logos for free.

Joe (as IEEE TCCC Chair)

---

From: Bob Hinden <[email-masked]>
Date: Thu, 12 May 2011 10:25:53 -0700

John,

> specific other criteria.  

Did you mean to say IEEE above?  

Bob

> A second difference is that we've

---

From: John C Klensin <[email-masked]>
Date: Thu, 12 May 2011 15:21:06 -0400

--On Thursday, May 12, 2011 08:50 -0700 Joe Touch
<[email-masked]> wrote:

>> by finding free ones online.  That looks like it won't be
>> possible going forward.
> 
> Current IEEE policy continues to allow authors to post the
> latest update prior to IEEE publication on their home site,
> with proper copyright notice and a link to the IEEE copy.
> 

Joe,

A different version of the point I was trying to make is that
any body that depends on publication revenues, special
subscriptions, or memberships and membership privileges to
support its work has to define a boundary that preserves some
value in those revenue sources.  Some of us may think that they
are going to need to find a new business model for their
activities, but that is really irrelevant to the present
conversation.  

It seems to me that the line IEEE is trying to draw is a
reasonable one given their problem and, modulo trying to
preserve something for which to charge, not that much different
from ours.  In many situations, the net effect is that, if I'm
interested in the content or substance of a given article, the
"approved submission" version should be more than sufficient.
If I need to quote exactly from it, reference material by page
number, etc., I need to get my hands on the final published
version and someone may have to pay IEEE for that.

Other than being careful about what versions of IEEE documents
are referenced normatively in RFCs (so that people are expected
to read and understand the referenced documents to implement the
RFC), it still doesn't seem to me that IEEE's policies, or what
documents can be found where and at what prices, are an IETF
problem.

   john

    john

---

From: Florian Weimer <[email-masked]>
Date: Thu, 12 May 2011 22:48:45 +0200

* Steve Crocker:

> A simpler and more pragmatic approach is to include a statement in
> the boilerplate of every RFC that says, "RFCs are available free of
> charge online from ..."
>
> statement.  If someone pays $47 for a copy and then reads this
> statement, he is unlikely to pay $47 again.

As far as I understand it, IEEE, ACM and the others need the search
engine hits from library PCs.  Libraries are their primary customer
base.  To the patron, it does not really matter what the document says
because it appears to be free anyway.

---

From: Bob Hinden <[email-masked]>
Date: Thu, 12 May 2011 14:09:24 -0700

Steve,

> The copyright rules would prohibit anyone from removing this statement.  If someone pays $47 for a copy and then reads this statement, he is unlikely to pay $47 again.

I wonder how they came up with $47?  

It is such a nice prime number.  See:

  http://en.wikipedia.org/wiki/47_(number)

I recommend reading it.  I never knew that a number could be so interesting.

Bob

p.s. Maybe this can be the end of this thread.......

---

From: Steve Crocker <[email-masked]>
Date: Thu, 12 May 2011 17:16:53 -0400

Bob,

Thanks!  I had always thought 47 was an uninteresting number.  I wasn't sure if it was the least uninteresting number, and if it were, it would automatically be interesting(*), but now I see it's interesting even if it's not the least uninteresting number :)

Steve

* For those on this list not familiar with math jokes, there's a "proof" there are no uninteresting numbers: Suppose some (positive) integers are interesting and the rest are uninteresting.  Consider the least of the uninteresting numbers.  That's surely an interesting number...

---

From: Julian Reschke <[email-masked]>
Date: Thu, 12 May 2011 23:20:24 +0200

> I recommend reading it.  I never knew that a number could be so interesting.

"47 (forty-seven) is the natural number following 46 and preceding 48."

Wow.

---

From: "t.petch" <[email-masked]>
Date: Fri, 20 May 2011 14:11:30 +0200

The IANA website has moved on and seems to have left my PC behind.

Accessing the registries I get
"
The XML page cannot be displayed
Cannot view XML input using style sheet.
Please correct the error and then click the Refresh button, or try again later.
--------------------------------------------------------------------------------
System does not support the specified encoding. Error processing resource
'http://www.iana.org/assignments/snmp-number-spaces/snmp-number-spaces.xml'.
Line 1, Position 39

<?xml version='1.0' encoding='ASCII'?>
"

Anyone else found a way round this short of upgrading their PC?

In passing, I note that the main page ends with
</html
which I think is rather charming (but not related to my problems).

Tom Petch

---

From: Julian Reschke <[email-masked]>
Date: Fri, 20 May 2011 15:37:09 +0200

> Please correct the error and then click the Refresh button, or try again later.

To support the "ASCII" encoding? About time.

Fun aside, "ASCII" is the wrong encoding to declare, either use 
"US-ASCII", or just drop the declaration (the default being the right 
thing anyway).

Out of curiosity: what's your user agent?

Best regards, Julian

---

From: Simon Perreault <[email-masked]>
Date: Fri, 20 May 2011 09:42:39 -0400

> "US-ASCII", or just drop the declaration (the default being the right

The intent is to use UTF-8. We'll fix that.

Thanks,
Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Marc Manthey <[email-masked]>
Date: Fri, 20 May 2011 15:44:23 +0200

On May 20, 2011, at 2:11 PM, t.petch wrote:

>
> System does not support the specified encoding.

hello

Describe a  system is allways helpfull when asking for help or  
reproducing an error.

Page Works with firefox 4.0 on mac/osx  and PC/XP service pack 3

regards

Marc

--  Les enfants teribbles - research / deployment
Marc Manthey- Vogelsangerstrasse 97
50823 Köln - Germany
Tel.:0049-221-29891489
Mobil:0049-1577-3329231
blog: http://let.de
project : http://opencu.org
twitter: http://twitter.com/macbroadcast/
facebook : http://opencu.tk

Opinions expressed may not even be mine by the time you read them, and  
certainly don't reflect those of any other entity (legal or otherwise).

---

From: "t.petch" <[email-masked]>
Date: Fri, 20 May 2011 18:05:26 +0200

<offlist>

----- Original Message -----
From: "Julian Reschke" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "IETF Discussion" <[email-masked]>
Sent: Friday, May 20, 2011 3:37 PM
Subject: Re: The XML page cannot be displayed

> > Please correct the error and then click the Refresh button, or try again
later.

Internet Explorer 6 !

Tom Petch

---

From: Doug Barton <[email-masked]>
Date: Fri, 20 May 2011 14:57:52 -0700

> <offlist>

Not as much as you might think. :)

> From: "Julian Reschke"<[email-masked]>
> To: "t.petch"<[email-masked]>
> Cc: "IETF Discussion"<[email-masked]>

>> Out of curiosity: what's your user agent?

Which, for those keeping score at home, has been deprecated by its vendor.

--

---

From: "t.petch" <[email-masked]>
Date: Tue, 24 May 2011 09:43:15 +0200

----- Original Message -----
From: "Doug Barton" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "Julian Reschke" <[email-masked]>; "IETF Discussion" <[email-masked]>
Sent: Friday, May 20, 2011 11:57 PM
> Which, for those keeping score at home, has been deprecated by its vendor.

And which statistics reported on the TLS list, in the context of which versions
of
TLS are out in the wild and so should be supported, was stated to be in use by
20% of browsers -  I am not alone:-)

Tom Petch

---

From: Julian Reschke <[email-masked]>
Date: Tue, 24 May 2011 10:56:11 +0200

On 2011-05-24 09:43, t.petch wrote:
> From: "Doug Barton"<[email-masked]>
> Cc: "Julian Reschke"<[email-masked]>; "IETF Discussion"<[email-masked]>

Can we wrap this up?

-> to people browsing the web with IE6: don't. Use IE8, Firefox, or 
something else

-> to IANA: please fix the pages; XML parsers are not required to 
understand that encoding name

Best regards, Julian

---

From: Simon Perreault <[email-masked]>
Date: Tue, 24 May 2011 11:06:23 -0400

> understand that encoding name

IANA fixed it yesterday.

Simon
-- 
NAT64/DNS64 open-source --> http://ecdysis.viagenie.ca
STUN/TURN server        --> http://numb.viagenie.ca
vCard 4.0               --> http://www.vcarddav.org